## netavark 1.0.3

=== debian/changelog ===
netavark (1.0.3-3) unstable; urgency=medium

  * Provides: container-network-stack = 2, following the Fedora versioning
    scheme for the network stack replacement.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 14:13:51 +0200

netavark (1.0.3-2) unstable; urgency=medium

  * install the netavark binary to the correct location
  * bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 00:01:19 +0200

netavark (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1009713)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jul 2022 01:08:23 -0400
