## netavark 1.4.0

=== debian/changelog ===
netavark (1.4.0-3) unstable; urgency=medium

  * Install aardvark-dns by default with netavark
  * Allow netavark to find aardvark-dns by default, Closes: #1030302

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 03 Feb 2023 06:31:00 -0500

netavark (1.4.0-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Update debian dependency on clap to match cargo dependency,
    closes: #1028657

  [ Reinhard Tartler ]
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 Jan 2023 07:49:05 -0500

netavark (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Allow cross-compilation by relaxing build-dep on libstd-rust-dev,
    Closes: #1025361
  * Bug fix: "FTBFS: dh_auto_test: error: /usr/share/cargo/bin/cargo build
    returned exit code 101", thanks to Lucas Nussbaum (Closes: #1027624).
  * Break on older versions of aardvark-dns, the must match minor versions.
  * Invoke test suite

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Jan 2023 08:45:36 -0500

netavark (1.0.3-4) unstable; urgency=medium

  * Fix FTBFS, bump nix version, thanks to Lucas Nussbaum (Closes: #1020122).

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 19 Oct 2022 16:22:07 -0400
