=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  librust-anyhow-dev,
  librust-atty-dev,
  librust-chrono-dev,
- librust-clap+derive-dev,
+ librust-clap-3+derive-dev (>= 3.2.23),
  librust-env-logger-dev (>> 0.9),
  librust-futures-dev,
+ librust-fs2-dev,
  librust-humantime-dev,
  librust-ipnet+serde-dev,
  librust-iptables-dev,
@@ -30,9 +31,9 @@
  librust-termcolor-dev,
  librust-tokio+full-dev,
  librust-url-dev,
- librust-zbus-dev,
+ librust-zbus-dev (>= 1.9.2-4),
  librust-zvariant-dev,
- libstd-rust-dev <!nocheck>,
+ libstd-rust-dev,
  rustc:native <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://github.com/containers/netavark
@@ -44,6 +45,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: container-network-stack (= 2)
+Recommends: aardvark-dns
+Breaks: aardvark-dns (<< 1.4)
 Enhances: podman
 Description: Rust based network stack for containers
  Netavark is designed to work with but is also applicable
