## netavark 1.6.0

=== debian/changelog ===
netavark (1.6.0-1ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2063447)
  * Vendor package since rust-zbus is unavailable
  * Use gnome-snapshot's debian/README.source as a vendoring guide
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Apr 2024 08:18:05 -0400

netavark (1.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Apr 2024 07:00:05 -0400

netavark (1.4.0-4) unstable; urgency=medium

  [ Peter Michael Green ]
  * Apply upstream patches for new netlink crates. (Closes: #1042194)
  * Bump env-logger dependency.
  * Stop patching zbus cargo dependency and update debian dependency, Debian
    now has zbus 3.x

  [ Reinhard Tartler ]
  * Refresh patches
  * Upload to unstable as maintainer upload

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Sep 2023 18:46:22 -0400
