=== debian/control ===
Source: netavark
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 libstd-rust-dev,
 protobuf-compiler,
 rustc:native <!nocheck>,
Standards-Version: 4.6.1
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, android_system_properties@0.1.5, anyhow@1.0.70, arrayvec@0.7.2, async-broadcast@0.5.1, async-channel@1.8.0, async-executor@1.5.0, async-fs@1.6.0, async-io@1.12.0, async-lock@2.7.0, async-recursion@1.0.2, async-stream-impl@0.3.5, async-stream@0.3.5, async-task@4.3.0, async-trait@0.1.68, atomic-waker@1.1.0, atty@0.2.14, autocfg@1.1.0, axum-core@0.3.3, axum@0.6.12, base64@0.21.0, bitflags@1.3.2, block-buffer@0.10.3, blocking@1.3.0, bumpalo@3.12.0, byteorder@1.4.3, bytes@1.4.0, cc@1.0.79, cfg-if@1.0.0, chrono@0.4.24, clap@3.2.23, clap_derive@3.2.18, clap_lex@0.2.4, codespan-reporting@0.11.1, concurrent-queue@2.1.0, core-foundation-sys@0.8.3, cpufeatures@0.2.5, crossbeam-utils@0.8.15, crypto-common@0.1.6, cxx-build@1.0.92, cxx@1.0.92, cxxbridge-flags@1.0.92, cxxbridge-macro@1.0.92, data-encoding@2.3.3, derivative@2.2.0, dhcproto-macros@0.1.0, dhcproto@0.9.0, digest@0.10.6, dirs-sys@0.3.7, dirs@4.0.0, either@1.8.1, enum-as-inner@0.5.1, enumflags2@0.7.5, enumflags2_derive@0.7.4, env_logger@0.10.0, equivalent@1.0.1, errno-dragonfly@0.1.2, errno@0.2.8, etherparse@0.13.0, ethtool@0.2.4, event-listener@2.5.3, fastrand@1.9.0, fixedbitset@0.4.2, fnv@1.0.7, form_urlencoded@1.1.0, fs2@0.4.3, futures-channel@0.3.28, futures-core@0.3.28, futures-executor@0.3.26, futures-io@0.3.28, futures-lite@1.12.0, futures-macro@0.3.28, futures-sink@0.3.28, futures-task@0.3.28, futures-util@0.3.28, futures@0.3.26, generic-array@0.14.6, genetlink@0.2.4, getrandom@0.2.8, h2@0.3.26, hashbrown@0.12.3, hashbrown@0.14.3, heck@0.4.1, hermit-abi@0.1.19, hermit-abi@0.2.6, hermit-abi@0.3.1, hex@0.4.3, http-body@0.4.5, http@0.2.9, httparse@1.8.0, httpdate@1.0.2, humantime@2.1.0, hyper-timeout@0.4.1, hyper@0.14.28, iana-time-zone-haiku@0.1.1, iana-time-zone@0.1.53, idna@0.2.3, idna@0.3.0, indexmap@1.9.2, indexmap@2.2.6, instant@0.1.12, io-lifetimes@1.0.5, ipnet@2.7.2, iptables@0.5.0, is-terminal@0.4.4, itertools@0.10.5, itoa@1.0.6, js-sys@0.3.61, lazy_static@1.4.0, libc@0.2.140, link-cplusplus@1.0.8, linux-raw-sys@0.1.4, log@0.4.17, macaddr@1.0.1, matches@0.1.10, matchit@0.7.0, memchr@2.5.0, memoffset@0.6.5, memoffset@0.7.1, mime@0.3.16, mio@0.8.6, mozim@0.2.2, mptcp-pm@0.1.2, multimap@0.8.3, netlink-packet-core@0.5.0, netlink-packet-core@0.7.0, netlink-packet-generic@0.3.2, netlink-packet-route@0.15.0, netlink-packet-route@0.17.1, netlink-packet-utils@0.5.2, netlink-proto@0.11.1, netlink-sys@0.8.5, nispor@1.2.10, nix@0.23.2, nix@0.26.2, num-integer@0.1.45, num-traits@0.2.15, num_cpus@1.15.0, once_cell@1.17.1, ordered-float@2.10.0, ordered-stream@0.2.0, os_str_bytes@6.4.1, parking@2.0.0, paste@1.0.12, percent-encoding@2.2.0, petgraph@0.6.3, pin-project-internal@1.0.12, pin-project-lite@0.2.9, pin-project@1.0.12, pin-utils@0.1.0, polling@2.5.2, ppv-lite86@0.2.17, prettyplease@0.2.9, proc-macro-crate@1.3.1, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro2@1.0.81, prost-build@0.12.4, prost-derive@0.12.4, prost-types@0.12.4, prost@0.12.4, quote@1.0.26, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, redox_syscall@0.2.16, redox_users@0.4.3, regex-automata@0.3.7, regex-syntax@0.7.5, regex@1.9.4, rtnetlink@0.12.0, rustix@0.36.9, rustversion@1.0.12, ryu@1.0.13, same-file@1.0.6, scratch@1.0.5, serde-value@0.7.0, serde@1.0.159, serde_derive@1.0.159, serde_json@1.0.95, serde_repr@0.1.11, sha1@0.10.5, sha2@0.10.6, signal-hook-registry@1.4.1, slab@0.4.8, smallvec@1.10.0, socket2@0.4.9, static_assertions@1.1.0, strsim@0.10.0, syn@1.0.109, syn@2.0.16, sync_wrapper@0.1.2, sysctl@0.5.4, tempfile@3.4.0, termcolor@1.2.0, textwrap@0.16.0, thiserror-impl@1.0.39, thiserror@1.0.39, tinyvec@1.6.0, tinyvec_macros@0.1.1, tokio-io-timeout@1.2.0, tokio-macros@2.0.0, tokio-stream@0.1.12, tokio-util@0.7.7, tokio@1.27.0, toml_datetime@0.6.1, toml_edit@0.19.4, tonic-build@0.10.2, tonic@0.10.2, tower-layer@0.3.2, tower-service@0.3.2, tower@0.4.13, tracing-attributes@0.1.23, tracing-core@0.1.30, tracing@0.1.37, trust-dns-proto@0.22.0, try-lock@0.2.4, typenum@1.16.0, uds_windows@1.0.2, unicode-bidi@0.3.10, unicode-ident@1.0.8, unicode-normalization@0.1.22, unicode-width@0.1.10, url@2.3.1, version_check@0.9.4, waker-fn@1.1.0, walkdir@2.3.2, want@0.3.0, wasi@0.11.0+wasi-snapshot-preview1, wasm-bindgen-backend@0.2.84, wasm-bindgen-macro-support@0.2.84, wasm-bindgen-macro@0.2.84, wasm-bindgen-shared@0.2.84, wasm-bindgen@0.2.84, wepoll-ffi@0.1.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.42.0, windows-sys@0.45.0, windows-targets@0.42.1, windows_aarch64_gnullvm@0.42.1, windows_aarch64_msvc@0.42.1, windows_i686_gnu@0.42.1, windows_i686_msvc@0.42.1, windows_x86_64_gnu@0.42.1, windows_x86_64_gnullvm@0.42.1, windows_x86_64_msvc@0.42.1, winnow@0.3.4, zbus@3.11.1, zbus_macros@3.11.1, zbus_names@2.5.0, zvariant@3.11.0, zvariant_derive@3.11.0, zvariant_utils@1.0.0
Homepage: https://github.com/containers/netavark
Vcs-Browser: https://salsa.debian.org/debian/netavark
Vcs-Git: https://salsa.debian.org/debian/netavark.git
Rules-Requires-Root: no

Package: netavark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: container-network-stack (= 2)
Recommends: aardvark-dns
Breaks: aardvark-dns (<< 1.4)
Enhances: podman
Description: Rust based network stack for containers
 Netavark is designed to work with but is also applicable
 for other OCI container management applications.
