=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh $@ --buildsystem cargo
 
 execute_before_dh_auto_configure:
+	$(call _mkchecksum,debian/missing-sources/rustix/.cargo-checksum.json,Cargo.toml)
 	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)
 
 execute_after_dh_install:
