## netavark 1.9.0

=== debian/changelog ===
netavark (1.9.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 07:03:51 -0400

netavark (1.9.0-3) experimental; urgency=medium

  * refresh patches
  * compile against rust-zbus 4.3, Closes: #1075895

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 20:42:28 -0400

netavark (1.9.0-2) experimental; urgency=medium

  * Upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 09:06:28 -0400

netavark (1.9.0-1) experimental; urgency=medium

  * New upstream version: 1.9.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Apr 2024 16:56:30 -0400

netavark (1.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Include patch to build with zbus 4.0; update d/control accordingly;
    amend relax-deps to accomodate zbus patching

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 14 Jul 2024 19:15:16 +0200

netavark (1.4.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch for new version of rust-nix (Closes: #1064580)
  * Relax cargo dependency on sysctl crate (Closes: #1069350)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 17:08:20 +0000
