=== debian/changelog ===
netavark (1.12.1-9) unstable; urgency=medium

  * Revert back to using uptables. Closes: #1092742, Reopens: #1091318

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Jan 2025 11:17:31 -0500

netavark (1.12.1-8) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Restrict autopkgtests to amd64
  * default to nftables, closes: #1091318

  [ NoisyCoil ]
  * Bump env_logger dependency to v0.11, closes: #1091227

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 01 Jan 2025 07:39:04 -0500

netavark (1.12.1-7) unstable; urgency=medium

  [ Tianyu Chen ]
  * Also move netavark-dhcp-proxy.socket to /usr/lib/systemd, Closes: #1087910

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Nov 2024 08:04:32 -0500

netavark (1.12.1-6) unstable; urgency=medium

  * Move systemd units to /usr/lib/systemd, Closes: #1087846

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Nov 2024 13:15:21 -0500

netavark (1.12.1-5) unstable; urgency=medium

  * autopkgtest: ignore the new bridge tests

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Nov 2024 08:05:41 -0500

netavark (1.12.1-4) unstable; urgency=medium

  * Install systemd service files, Closes: #1087796
    Thanks to Jonathan Steinert <debian@hachi.kuiki.net> for reporting!

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Nov 2024 07:03:52 -0500

netavark (1.12.1-3) unstable; urgency=medium

  * provide nftables to autopkgtests
  * Tests require 'ncat' as "netcat" implementation

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Sep 2024 21:28:47 -0400

netavark (1.12.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 08:51:10 -0400

netavark (1.12.1-1) experimental; urgency=medium

  * New upstream release: 1.12.1
  * Refresh patches
  * Compile against clap 4.5, Closes: #1080118
  * Tighten dependencies on aardvark-dns 1.12
  * Require qemu for autopkgtest tests

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 08:31:56 -0400

netavark (1.9.0-5) unstable; urgency=medium

  * debian/tests/control: Add missing dependencies
  * Make autopkgtest pass
  * Relax dependency on rust-clap, Closes: #1080118
  * Normalize distro patches with gbp-pq export

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 18:29:28 -0400
