=== debian/control ===
Source: netavark
Section: net
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: cargo:native <!nocheck>,
               debhelper-compat (= 13),
               dh-cargo (>= 25),
               librust-anyhow-dev,
               librust-atty-dev,
               librust-chrono-dev,
               librust-clap+derive-dev (>= 4.1),
               librust-env-logger-0.11-dev,
               librust-fs2-dev,
               librust-futures-dev,
               librust-http-dev (>= 0.2.11),
               librust-humantime-dev,
               librust-ipnet+serde-dev,
               librust-iptables-dev,
               librust-libc-dev,
               librust-log-dev,
               librust-macaddr-dev,
               librust-mozim-dev (>= 0.2.3),
               librust-netlink-packet-route-0.17-dev (>= 0.17.1),
               librust-nftables-dev,
               librust-nispor-dev,
               librust-nix-dev (>= 0.27),
               librust-prost-dev (>= 0.12),
               librust-rand-dev,
               librust-rtnetlink-dev,
               librust-rustversion-dev,
               librust-serde+derive-dev,
               librust-serde-json-dev,
               librust-serde-value-dev,
               librust-sha2-dev,
               librust-strsim-dev,
               librust-sysctl-dev (>= 0.5),
               librust-termcolor-dev,
               librust-tokio+full-dev,
               librust-tokio-stream-dev,
               librust-tonic-build-dev,
               librust-tonic-dev,
               librust-url-dev,
               librust-zbus-4-dev (>= 4.3.1),
               librust-zvariant-dev,
               libstd-rust-dev,
               rustc:native <!nocheck>
Build-Conflicts: librust-zbus-1-dev
Standards-Version: 4.7.0
Homepage: https://github.com/containers/netavark
Vcs-Browser: https://salsa.debian.org/debian/netavark
Vcs-Git: https://salsa.debian.org/debian/netavark.git
Rules-Requires-Root: no

Package: netavark
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: container-network-stack (= 2)
Recommends: aardvark-dns
Breaks: aardvark-dns (<< 1.12)
Enhances: podman
Description: Rust based network stack for containers
 Netavark is designed to work with but is also applicable
 for other OCI container management applications.
