=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,17 @@
 	dh $@ --buildsystem cargo
 
 execute_before_dh_auto_configure:
-	$(call _mkchecksum,debian/missing-sources/rustix/.cargo-checksum.json,Cargo.toml)
 	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)
 
 execute_after_dh_install:
-	mkdir -vp debian/netavark/usr/lib
+	mkdir -vp debian/netavark/usr/lib debian/netavark/usr/lib/systemd/system
 	mv -v debian/netavark/usr/bin debian/netavark/usr/lib/podman
+	install -D -m 664  contrib/systemd/system/netavark-dhcp-proxy.socket \
+		debian/netavark/usr/lib/systemd/system
+	sed -e 's;@@NETAVARK@@;/usr/lib/podman/netavark;g' \
+		< contrib/systemd/system/netavark-dhcp-proxy.service.in \
+		> debian/netavark/usr/lib/systemd/system/netavark-dhcp-proxy.service
+	sed -e 's;@@NETAVARK@@;/usr/lib/podman/netavark;g' \
+		< contrib/systemd/system/netavark-firewalld-reload.service.in \
+		> debian/netavark/usr/lib/systemd/system/netavark-firewalld-reload.service
+
