=== debian/changelog ===
netavark (1.14.0-2) unstable; urgency=medium

  * Delete patches no longer necessary
  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2025 16:40:52 -0400

netavark (1.14.0-1) experimental; urgency=medium

  * New upstream release
    - Builds against zbus v5, Closes: #1093690, #1099897
  * Default to nftables, again. Closes: #1091318

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Feb 2025 13:45:43 -0500
