=== debian/control ===
--- 
+++ 
@@ -14,13 +14,14 @@
                librust-futures-dev,
                librust-http-dev (>= 0.2.11),
                librust-humantime-dev,
+               librust-hyper-util-dev,
                librust-ipnet+serde-dev,
                librust-iptables-dev,
                librust-libc-dev,
-               librust-log-dev,
+               librust-log-dev (>= 0.4.24),
                librust-macaddr-dev,
                librust-mozim-dev (>= 0.2.3),
-               librust-netlink-packet-route-0.17-dev (>= 0.17.1),
+               librust-netlink-packet-route-0.21-dev,
                librust-nftables-dev,
                librust-nispor-dev,
                librust-nix-dev (>= 0.27),
@@ -40,12 +41,12 @@
                librust-tonic-build-dev,
                librust-tonic-dev,
                librust-url-dev,
-               librust-zbus-4-dev (>= 4.3.1),
+               librust-zbus-dev,
                librust-zvariant-dev,
                libstd-rust-dev,
                rustc:native <!nocheck>
 Build-Conflicts: librust-zbus-1-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/netavark
 Vcs-Browser: https://salsa.debian.org/debian/netavark
 Vcs-Git: https://salsa.debian.org/debian/netavark.git
@@ -55,7 +56,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: container-network-stack (= 2)
-Recommends: aardvark-dns
+Recommends: aardvark-dns, nftables
 Breaks: aardvark-dns (<< 1.12)
 Enhances: podman
 Description: Rust based network stack for containers
