=== debian/changelog ===
netavark (1.16.1-3) unstable; urgency=medium

  * salsa-ci: Disable reprotest
  * Build against nix-0.30, Closes: #1116542

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Oct 2025 05:48:04 -0400

netavark (1.16.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 11 Sep 2025 05:59:45 -0400

netavark (1.16.1-1) experimental; urgency=medium

  * New upstream release 1.16
  * Refresh patches
    - Relax dependency on clap, env_logger, hyper-util, nix, sysctl, rand,
      prost, zbus, chronos
    - build against netlink-packet-route 0.23
  * build against nftables in experimental, Closes: #1112210

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Sep 2025 11:36:37 -0400
