=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                librust-log-dev (>= 0.4.24),
                librust-macaddr-dev,
                librust-mozim-dev (>= 0.2.3),
-               librust-netlink-packet-route-0.21-dev,
-               librust-nftables-dev,
+               librust-netlink-packet-route-0.23-dev,
+               librust-nftables-dev (>= 0.6.3),
                librust-nispor-dev,
                librust-nix-dev (>= 0.27),
                librust-prost-dev (>= 0.12),
