=== debian/tests/control ===
# Bridge tests fail, cf https://github.com/containers/netavark/issues/984
Test-Command: rm -fv test/1??-* test/2??-* test/500-*; env NETAVARK=/usr/lib/podman/netavark bats --no-tempdir-cleanup --print-output-on-failure test/
Features: test-name=system-tests:@
Architecture: amd64
Depends: aardvark-dns (>> 1.12),
         bats,
         bind9-dnsutils,
         firewalld,
         iproute2,
         iptables,
         iputils-ping,
         jq,
         ncat,
         nftables,
         util-linux,
         @
Restrictions: allow-stderr, isolation-machine, needs-root
